<?php

namespace Importacao\Logic\Bases\ModeloImportacao;

use \Importacao\Logic\Bases\ModeloImportacao\BasicEntity;
class EntityContainer 
{
	
	private $entities;

	public function __construct() 
	{
		$entities = array();
	}

    public function clear() {
        $this->entities = array();
    }

    /**
     * @param $nomeTabela
     * @param BasicEntity $entidade
     * @return BasicEntity
     */
    public function adicionaTabela($nomeTabela, BasicEntity $entidade)
	{
		$this->entities[$nomeTabela] = $entidade;
        return $this->entities[$nomeTabela];
	}

    /**
     * @param $nomeTabela
     * @return BasicEntity|null
     */
    public function getTabela($nomeTabela)
	{
		return isset($this->entities[$nomeTabela]) ? $this->entities[$nomeTabela] : null;
	}

    /**
     * @return BasicEntity[]
     */
    public function getTabelas()
	{
		return array_values($this->entities);
	}

	public function removeTabela($nomeTabela) 
	{
		unset($this->entities[$nomeTabela]);
	}

}