/*
  LOG_DFS_GRUPOFISCIMPFIL responsvel por gravar as informaes
  na tabela LOGOPERA a partir dos registros que forem alterados
  na tabela GRUPOFISCIMPFIL na tela de
  "Parmetros de Grupo Fiscal - Imposto/Filial"
  Criao: 02/05/2012
  Lucas Primo
*/

CREATE OR REPLACE TRIGGER LOG_DFS_GRUPOFISCIMPFIL
AFTER DELETE OR INSERT OR UPDATE
ON GRUPOFISCIMPFIL FOR EACH ROW

DECLARE
  V_CDFILLOGOPER VARCHAR2(4);
  V_USUARIO	 VARCHAR2(40);
  V_TIPO	 VARCHAR2(1);
  V_ITPESQ	 VARCHAR2(40);
  V_DESC	 VARCHAR2(300);
  V_DTOPER	 DATE;
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
BEGIN
   V_TIPO         := '0';
   V_DESC         := '';
   V_CDFILLOGOPER := '';

   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF DELETING THEN

      V_DESC := V_DESC || ' Aba= '    || 'Imposto/Filial';
      IF :OLD.CDIMPOSTO IS NOT NULL THEN
         V_DESC := V_DESC || ' CdImpo= ' || :OLD.CDIMPOSTO;
      END IF;

      IF :OLD.CDFILIAL IS NOT NULL THEN
         V_DESC := V_DESC || ' CdFili= ' || :OLD.CDFILIAL;
      END IF;

      IF :OLD.CDGRUPOFISC IS NOT NULL THEN
         V_DESC := V_DESC || ' Grupo= ' || :OLD.CDGRUPOFISC;
      END IF;
      V_TIPO         := '3';
      V_ITPESQ       := :OLD.CDIMPOSTO||:OLD.CDFILIAL;
   ELSE
      IF UPDATING THEN

         V_DESC := V_DESC || ' Aba= '    || 'Imposto/Filial';
         V_DESC := V_DESC || ' CdImpo= ' || :NEW.CDIMPOSTO;
         V_DESC := V_DESC || ' CdFili= ' || :NEW.CDFILIAL;

         IF NVL(:OLD.CDGRUPOFISC, '!') <> NVL(:NEW.CDGRUPOFISC, '!') THEN
            V_DESC := V_DESC || ' Grupo= ' || :NEW.CDGRUPOFISC;
         END IF;

         V_TIPO         := '2';
         V_ITPESQ       := :OLD.CDIMPOSTO||:OLD.CDFILIAL;
      ELSE
         IF INSERTING THEN

            V_DESC := V_DESC || ' Aba= '    || 'Imposto/Filial';
            V_DESC := V_DESC || ' CdImpo= ' || :NEW.CDIMPOSTO;
            V_DESC := V_DESC || ' CdFili= ' || :NEW.CDFILIAL;
            V_DESC := V_DESC || ' Grupo= '  || :NEW.CDGRUPOFISC;

            V_TIPO         := '1';
            V_ITPESQ       := :NEW.CDIMPOSTO||:NEW.CDFILIAL;
         END IF;
      END IF;
   END IF;
   IF V_TIPO <> '0' THEN

      IF NOT V_DESC IS NULL THEN
         NMUSUARIO(V_USUARIO);
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;
            INSERT INTO LOGOPERA
               (NMTABELA,     DTOPERACAO,   NMRESPOPER,  CDPESQITEM, IDTIPOOPER,  DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER, CDFILLOGOPER)
            VALUES
               ('GRUPOFISCIMPFIL',   V_DTOPER,       V_USUARIO,   V_ITPESQ, V_TIPO, SUBSTR(V_DESC,1,300),
                V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVERRDM, V_DSSERVMETHOD, V_DSREMOTEOPER, V_CDFILLOGOPER);

         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_DFS_GRUPOFISCIMPFIL','5.42.000'); END;
/